//抽奖相关的接口
import request from "./../request.js";//这里用的是two
 
 
 //slotCountLottery 抽奖活动首页接口
 export function slotCountLottery(data) {
   return request.post("LotteryActive/countLottery", data, { noAuth: false ,isurltwo:true});
 }
 
 //sendLottery 抽奖发布 发起抽奖
 export function sendLottery(data) {
   return request.post("LotteryActive/sendLottery", data, { noAuth: false ,isurltwo:true});
 }
 
 
 //查询各种状态的抽奖记录列表 列表
 export function LotteryList(data) {
   return request.post("LotteryActive/LotteryList", data, { noAuth: false ,isurltwo:true});
 }
 
 
 //抽奖详情接口 活动页面 LotteryUserInfo
 export function slotLotteryInfo(data) {
   return request.post("LotteryActive/LotteryInfo", data, { noAuth: false ,isurltwo:true});
 }
 
 //参与抽奖的方法
 export function joinLottery(data) {
   return request.post("lotteryActive/joinLottery", data, { noAuth: false ,isurltwo:true});
 }
 
 //开奖请求接口
 export function OpenLottery(data) {
   return request.post("LotteryActive/OpenLottery", data, { noAuth: false ,isurltwo:true});
 }
 
 //获取 中奖者 名单
 export function prizeUserList(data) {
   return request.post("LotteryActive/prizeUserList", data, { noAuth: false ,isurltwo:true});
 }
 
 //查看全部的中奖名单
 export function LotteryUserInfo(data) {
   return request.post("LotteryActive/LotteryUserInfo", data, { noAuth: false,isurltwo:true });
 }
 
 
 //抽奖开启和关闭
 export function cancelLottery(data) {
   return request.post("LotteryActive/cancelLottery", data, { noAuth: false ,isurltwo:true});
 }


//获取参与过的活动列表
 export function slotuserList(data) {
   return request.post("LotteryActive/userList", data, { noAuth: false ,isurltwo:true});
 }

  // 大转盘
  export function addTurntableActivity(data) {
    return request.post("Turntable/addTurntableActivity", data, { noAuth: false ,isurltwo:true});
  }


